{% assign sku_status = '' %}
{% assign data_skus = '' %}

{% if image.skus == blank %}
  {% assign sku_status = 'data-without-sku' %}
{% else %}
  {% assign sku_status = 'data-with-sku' %}
  {% assign data_skus = image.skus | join: ',' | prepend: 'data-skus="' | append: ',"' %}
{% endif %}

{% assign imgs_limit = 4 %}
{% if mobile %}
  {% assign imgs_limit = 0 %}
{% endif %}

<div class="image-thumb swiper-slide" {{ sku_status }} {{ data_skus }} data-image-thumb data-image-index="image-{{ forloop.index0 }}">
  <figure class="image -square">
    {% if forloop.index <= imgs_limit %}
      <img src="{{ image.url | resize: '150x' }}" alt="{{ product.name }}"/>
    {% else %}
      <img class="lazy" loading="lazy" data-src="{{ image.url | resize: '150x' }}" alt="{{ product.name }}"/>
    {% endif %}
  </figure>
</div>
